% 
function Best_Cell = func_cell_selection_by_utilization_cost_b(SINR_ALL,BitRate_DL,BS_Utilization_DL,b)
%UNTITLED1 Summary of this function goes here
%  Detailed explanation goes here


W_BS = 5*(10^6);
T_BS = 16;

SINR_Min = T_BS * (2^(BitRate_DL*1000/W_BS) - 1);

Cost_ALL_SINR = T_BS * (2.^(func_cost(0)/W_BS) - 1);

 if length(find((SINR_ALL' - SINR_Min) >= 0)) > 1 %more than one BS/AP can provide required bandwidth, take the lowest costy one
   [Best_Cell_Cost,Best_Cell] = max((SINR_ALL' - SINR_Min)./(Cost_ALL_SINR .*( exp(b*BS_Utilization_DL'))));
 else % only one or none BS/AP can provide required bandwidth, dont talk about cost, choose the one give the highest bandwidth
     [Best_Cell_Cost,Best_Cell] = max(SINR_ALL');
 end






