
%load('D:\MATLAB7\work\100-6000\results\scene-100-6000.mat', 'MAX_NUM_UE', 'END_TIME')

% LAMDA = 0.01/10; % mean call arrival rate per user 0.01call/s

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Free some memory
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear UE_x
clear UE_y


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
BitRate_DL(1:MAX_NUM_UE,1:END_TIME)= 0; 
%BitRate_UL(1:MAX_NUM_UE,1:END_TIME)= 0; 

% BitRate_DL(1:MAX_NUM_UE,1:(6*END_TIME))= 0; %384m
% BitRate_UL(1:MAX_NUM_UE,1:(6*END_TIME))= 0; %384m

DURATION = 60; % mean session duration 60s/call
%RATE_1 = 10; 
%RATE_2 = 256; %64kbps

%BitRate_UL(1:MAX_NUM_UE,1:(6*END_TIME))= 0;

%InterArrivalTime = 1/LAMDA % mean interarrival time

MEAN_CALL_NUM = round(END_TIME * LAMDA);  %mean number of calls within simulation duration, given Lamda

for UE=1:MAX_NUM_UE
    delta_t = round(exprnd(1/LAMDA,1,MEAN_CALL_NUM));
    t = 1;
    for call=1:MEAN_CALL_NUM
        t = t + delta_t(call);
        if t < END_TIME 
            if (t+DURATION) >= END_TIME 
                %BitRate_UL(UE,t:END_TIME) = RATE_1;
                BitRate_DL(UE,t:END_TIME) = RATE_2;
            else
                %BitRate_UL(UE,t:(t+DURATION)) = RATE_1;
                BitRate_DL(UE,t:(t+DURATION)) = RATE_2;
            end
        end
    end
end




% filename = ['D:\MATLAB7\work\100-6000\traffic\traffic-',int2str(MAX_NUM_UE),'-',int2str(END_TIME),'-',num2str(LAMDA*10),'.mat']
% save(filename, 'BitRate_*', 'LAMDA','RATE_*')


%Call_Dura(1:MAX_NUM_UE,1:(END_TIME+1))= 0;

% for t=1:END_TIME
%     
%     for UE=1:MAX_NUM_UE
%         if ((BitRate(UE,t) == 64) & (Call_Dura(UE,t) ~= 0))            
%             BitRate(UE,(t+1)) = 64;
%             Call_Dura(UE,(t+1)) = Call_Dura(UE,t) - 1;       
%         else
%             BitRate(UE,t) = randsrc(1,1,[0,64; .90,.10]);
%             if BitRate(UE,t) == 64
%                BitRate(UE,(t+1)) = 64; 
%                Call_Dura(UE,(t+1)) = poissrnd(90,1,1) - 1; %mean call duration is 90s
%             end
%         end
%     end
% end
